import numpy as np
from sklearn.model_selection import train_test_split
from sklearn.neural_network import MLPClassifier

# Cargamos los datos
D = np.loadtxt( "bananaNorm.csv", delimiter=',' )
print( D.shape )

# Debemos separa los datos en datos de entrenamiento
# y datos de prubea (con los que se verfica el clasificador)
X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( D[:,0:2], D[:,2], random_state=42)

print( X_entrena.shape )


# Hacemos un clasificador con una red directaclf = MLPClassifier(solver='lbfgs', alpha=1e-5,
# clasificador = MLPClassifier(solver='lbfgs', alpha=1e-4, hidden_layer_sizes=(5, 2), activation='tanh', random_state=1)
clasificador = MLPClassifier(solver='adam', alpha=1e-3, max_iter=2000, hidden_layer_sizes=(8, 8 ),
                             activation='tanh', random_state=1)

clasificador.fit( X_entrena, y_entrena )

exactitud = clasificador.score( X_prueba, y_prueba )
print( exactitud )

# Calculamos el error a mano
y_pred = clasificador.predict( X_prueba )
n, m = X_prueba.shape
error = 0
i = 0
while i<n :
	if y_pred[i] != y_prueba[i] :
		error +=1
	i += 1

print( "Error=", error/n )

print( clasificador.coefs_ )
print( clasificador.intercepts_ )
print( clasificador.out_activation_ )
print( clasificador.n_iter_ )
print( clasificador.loss_ )


