# Vamos a normalizar los datos de banana
# puede ser entre [0,1]
# entre [-1,1]
# o estadizados a media 0 y desviación estándar 1

# Vamos a escalarlos linealmente dentro 
# del intervalo [-1,1]
import numpy as np
from sklearn.preprocessing import MinMaxScaler

# Leo los datos de entrada
D = np.loadtxt( "banana.csv", delimiter=',' )
print( D.shape )

normaliza = MinMaxScaler( feature_range=(-1,1) )
normaliza.fit( D[:,0:2] )
#            0 <= i < 2

print( normaliza.data_max_ )
print( normaliza.data_min_ )


A = normaliza.transform( D[:,0:2] )

print( A.shape )

# Guardo los datos transformados en un archivo
D2 = np.hstack( (A, D[:,2].reshape( -1, 1) ) )
print( D2.shape )

np.savetxt( "bananaNorm.csv", D2, delimiter=',' )

